/* Created with BaCon 4.5 - (c) Peter van Eerten - MIT License */
#include "Graphical.bac.h"
#include "Graphical.bac.string.h"
#include "Graphical.bac.float.h"
/****************************/
/* Main program starts here */
/****************************/
int main (int argc, char **argv)
{
	setvbuf (stdout, NULL, _IOLBF, 0);
	if (argc > 0)
	{
		__b2c__me_var__b2c__string_var = strdup (argv[0]);
	}
	if (argc == 2 && !strcmp (argv[1], "-bacon"))
	{
		fprintf (stderr, "Converted by %s.\n", COMPILED_BY_WHICH_BACON__b2c__string_var);
		exit (EXIT_SUCCESS);
	}
/* Setup the reserved variable 'ARGUMENT' */
	__b2c__argument (&ARGUMENT__b2c__string_var, argc, argv);
/* By default seed random generator */
	srandom ((unsigned int) time (NULL));
/* Determine current moment and keep it for timer function */
	__b2c__timer (1);
/* Setup error signal handling */
	signal (SIGILL, __b2c__catch_signal);
	signal (SIGABRT, __b2c__catch_signal);
	signal (SIGFPE, __b2c__catch_signal);
	signal (SIGSEGV, __b2c__catch_signal);
/* Rest of the program */
#line 1 "Graphical.bac"
#line 8 "Graphical.bac"
#line 11 "Graphical.bac"
	gui =
		(long) (GUIDEFINE
				("{ type=window name=window callback=delete-event title=\"Graphical\" }	{ type=LABEL name=label parent=window margin=5 label=\"Goodbye, World!\" } "));
#line 13 "Graphical.bac"
	GUIEVENT__b2c__string_var (gui);
	return (0);
}
