gpointer __b2c__cld = NULL;
gpointer __b2c__cad = NULL;
GtkWidget *__b2c_get_by_name (uintptr_t id, char *name)
{
	GList *widget, *x;

	widget = (GList *) id;
	for (x = widget; x != NULL; x = x->next)
	{
		if (!strcmp (name, gtk_widget_get_name (GTK_WIDGET (x->data))))
		{
			break;
		}
	}
	if (x == NULL)
	{
		return (NULL);
	}
	else
	{
		return (x->data);
	}
}

void __b2c_gtk_callback (gpointer client_data, uintptr_t call_data, GtkWidget * w)
{
	size_t size;

	__b2c__cld = client_data;
	if (call_data)
	{
		if ((sizeof (call_data) > sizeof (gint) ? call_data >> (sizeof (gint) * 8) : 0) == 0 && (gint) call_data < 0 &&
			(gint) call_data > -16)
		{
			__b2c__cad = realloc (__b2c__cad, sizeof (gint));
			(*(gint *) __b2c__cad) = (gint) call_data;
		}
		else
		{
			switch (((GdkEventAny *) call_data)->type)
			{
				case GDK_BUTTON_PRESS:
					size = sizeof (GdkEventButton);
					break;
				case GDK_2BUTTON_PRESS:
					size = sizeof (GdkEventButton);
					break;
				case GDK_3BUTTON_PRESS:
					size = sizeof (GdkEventButton);
					break;
				case GDK_BUTTON_RELEASE:
					size = sizeof (GdkEventButton);
					break;
				case GDK_EXPOSE:
					size = sizeof (GdkEventExpose);
					break;
				case GDK_DAMAGE:
					size = sizeof (GdkEventExpose);
					break;
				case GDK_ENTER_NOTIFY:
					size = sizeof (GdkEventCrossing);
					break;
				case GDK_LEAVE_NOTIFY:
					size = sizeof (GdkEventCrossing);
					break;
				case GDK_FOCUS_CHANGE:
					size = sizeof (GdkEventFocus);
					break;
				case GDK_CONFIGURE:
					size = sizeof (GdkEventConfigure);
					break;
				case GDK_PROPERTY_NOTIFY:
					size = sizeof (GdkEventProperty);
					break;
				case GDK_SCROLL:
					size = sizeof (GdkEventScroll);
					break;
				case GDK_KEY_PRESS:
					size = sizeof (GdkEventKey);
					break;
				case GDK_KEY_RELEASE:
					size = sizeof (GdkEventKey);
					break;
				case GDK_SETTING:
					size = sizeof (GdkEventSetting);
					break;
				default:
					size = sizeof (GdkEventAny);
			}
			__b2c__cad = realloc (__b2c__cad, size);
			memcpy (__b2c__cad, (void *) call_data, size);
	}}
}

char *__b2c__guiExecute (uintptr_t id, int type)
{
	static char *buf[__b2c_STRING_FUNC] = { NULL };
	static int idx = 0;
	GList *widget;
	const char *name = NULL;
	unsigned long len, total = 0;

	widget = (GList *) id;
	__b2c__cld = NULL;
	GTKWIDGETSHOW (widget->data);
	while (1)
	{
		GTKMAINITERATION;
		if (__b2c__cld)
		{
			break;
		}
	}
	len = strlen ((char *) __b2c__cld);
	idx++;
	if (idx == __b2c_STRING_FUNC)
	{
		idx = 0;
	}
	buf[idx] = (char *) __b2c_str_realloc (buf[idx], len + 1);
	memmove (buf[idx], __b2c__cld, len);
	if (type == 1)
	{
		total += len;
		buf[idx] = (char *) __b2c_str_realloc (buf[idx], total + 1 + 32 + 1);
		len = snprintf (buf[idx] + total, 32, " %p", __b2c__cad);
	}
	total += len;
	__b2c__SETLEN (buf[idx], total);
	buf[idx][total] = '\0';
	return (char *) (buf[idx]);
}

uintptr_t __b2c__guiDefine (void)
{
	GList *widget_list = NULL;

	GTKINIT;
	GtkWidget *window;

	window = GTK_WIDGET (g_object_new (GTK_TYPE_WINDOW, "title", "Graphical", NULL));
	gtk_window_set_icon_name (GTK_WINDOW (window), "bacon");
	gtk_widget_set_name (window, "window");
	widget_list = g_list_append (widget_list, window);
	g_signal_connect_swapped (G_OBJECT (window), "delete-event", G_CALLBACK (__b2c_gtk_callback), "window");
	GtkWidget *label;

	label = GTK_WIDGET (g_object_new (GTK_TYPE_LABEL, "margin", 5, "label", "Goodbye, World!", NULL));
	gtk_widget_set_name (label, "label");
	widget_list = g_list_append (widget_list, label);
	GTKCONTAINERADD (window, label);
	return ((uintptr_t) widget_list);
}
