%{
#include <stdio.h>
%}
%x text escaped comment multi
WS [ \n\r\t]+
%%
"ALARM"{WS}       printf("alarm ");
"ALIGN$("         printf("align delimengine ");
"AMOUNT("         printf("amount delimengine ");
"APPEND"{WS}      printf("save concat ");
"APPEND$("        printf("append delimengine ");
"ASSOC"{WS}       printf("hash sortstr sortnr ");
"B64DEC$("        printf("base64 ");
"B64ENC$("        printf("base64 ");
"BASENAME$("      printf("dirname ");
"BIT("            printf("binary ");
"BIN$("           printf("binary ");
"BLOAD("          printf("load ");
"CA$("            printf("cipher ");
"CHANGE$("        printf("change delimengine ");
"CHOP$("          printf("chop ");
"CHR$("           printf("chrstr ");
"CIPHER$("        printf("cipher ");
"CMDLINE("        printf("cmdline ");
"CN$("            printf("cipher ");
"COIL$("          printf("append delimengine ");
"COLLAPSE$("      printf("collapsefunc delimengine ");
"COLLECT"{WS}     printf("collect ");
"COLUMNS"         printf("screen ");
"&"               printf("concat ");
"CONCAT$("        printf("concat ");
"COPY"{WS}        printf("copy ");
"COUNT("          printf("count chrstr ");
"CURDIR$"         printf("curdir ");
"CUT$("           printf("cut delimengine ");
"DAY("            printf("chrono ");
"DEC("            printf("dec ");
"DEL$("           printf("delstr delimengine ");
"DELIM$("         printf("delimstr delimengine ");
"DIRNAME$("       printf("dirname ");
"ESCAPE$("        printf("doescape chrstr ");
"EVAL("           printf("eval ");
"EXCHANGE$("      printf("exchange delimengine ");
"EXEC$("          printf("exec ");
"EXPLODE$("       printf("explode delimengine ");
"EXTRACT$("       printf("extract ");
"FILELEN("        printf("filelen ");
"FILETIME("       printf("filetime ");
"FILETYPE("       printf("filetype ");
"FILL$("          printf("fill ");
"FIND("           printf("find ");
"FIRST$("         printf("first delimengine ");
"FLATTEN$("       printf("flatten ");
"FOR"{WS}         printf("for delimengine ");
"GETENVIRON$("    printf("getenviron ");
"GETFILE"{WS}     printf("getfile ");
"GETKEY"          printf("getkey ");
"GETLINE"{WS}     printf("getline ");
"GETPEER$("       printf("getpeer ");
"GETX"            printf("getxy ");
"GETY"            printf("getxy ");
"HASDELIM("       printf("hasdelim delimengine ");
"HASH("           printf("hash sortstr sortnr ");
"HEAD$("          printf("head delimengine ");
"HEX$("           printf("hex ");
"HOST$("          printf("host ");
"HOSTNAME$"       printf("hostname ");
"HOUR("           printf("chrono ");
"INBETWEEN$("     printf("between delimengine ");
"INDEX("          printf("index sortnr sortstr ");
"INPUT"{WS}       printf("input ");
"INSERT$("        printf("insert ");
"INSTR("          printf("instring ");
"INSTRREV("       printf("instrrev ");
"ISASCII("        printf("chrstr ");
"ISTOKEN("        printf("istok delimengine ");
"ISUTF8("         printf("chrstr ");
"JOIN"{WS}        printf("join ");
"LAST$("          printf("last delimengine ");
"LCASE$("         printf("lcase ");
"LEFT$("          printf("left ");
"LOAD$("          printf("load ");
"LOOKUP"{WS}      printf("lookup hash sortnr sortstr ");
"LOOP$("          printf("concat ");
"MAKEDIR"{WS}     printf("makedir delimengine ");
"MATCH("          printf("match delimengine ");
"MERGE$("         printf("merge delimengine ");
"MID$("           printf("mid ");
"MINUTE("         printf("chrono ");
"MONTH("          printf("chrono ");
"MONTH$("         printf("datename ");
"NETWORK"{WS}     printf("network delimengine ");
"OBTAIN$("        printf("obtain hash sortnr sortstr ");
"OS$"             printf("os ");
"OUTBETWEEN$("    printf("between delimengine ");
"PARSE"{WS}       printf("parse delimengine ");
"PEEK("           printf("peek ");
"PROPER$("        printf("proper delimengine ");
"READLN"{WS}      printf("readln ");
"REALPATH$("      printf("dirname ");
"RECURSIVE"{WS}   printf("recursive ");
"REGEX("          printf("regex ");
"REPLACE$("       printf("replace ");
"RETURN"{WS}      printf("return ");
"REV$("           printf("revstr delimengine ");
"REVERSE$("       printf("reverse ");
"RIGHT$("         printf("right ");
"RIP$("           printf("rip ");
"ROL("            printf("binary ");
"ROR("            printf("binary ");
"ROTATE$("        printf("rotate delimengine ");
"ROWS"            printf("screen ");
"RUN$("           printf("exec ");
"SAVE"{WS}        printf("save ");
"SEARCH("         printf("search ");
"SECOND("         printf("chrono ");
"SERVER"{WS}      printf("server delimengine ");
"SETSERIAL"{WS}   printf("setserial ");
"SIGNAL"{WS}      printf("signal ");
"SORT"{WS}        printf("sortnr sortstr ");
"SORT$("          printf("sortdelim sortstr delimengine ");
"SPC$("           printf("spc ");
"SPLIT"{WS}       printf("split delimengine ");
"SUM("            printf("sum ");
"SUMF("           printf("sum ");
"TAB$("           printf("tab ");
"TAIL$("          printf("tail delimengine ");
"TALLY("          printf("tally ");
"TIMER"           printf("timer ");
"TIMEVALUE("      printf("epoch ");
"TOASCII$("       printf("chrstr ");
"TOKEN$("         printf("token delimengine ");
"TRACE"{WS}       printf("getkey ");
"TREE"{WS}        printf("tree sortnr sortstr ");
"UCASE$("         printf("ucase ");
"UCS("            printf("chrstr ");
"UNESCAPE$("      printf("unescape ");
"UNFLATTEN$("     printf("flatten ");
"UNIQ$("          printf("uniq obtain delimengine hash sortnr sortstr ");
"UTF8$("          printf("chrstr ");
"WAIT("           printf("wait ");
"WALK$("          printf("walk ");
"WEEK("           printf("chrono ");
"WEEKDAY$("       printf("datename ");
"YEAR("           printf("chrono ");
\"                BEGIN(text);
<text>\\          BEGIN(escaped);
<text>\"          BEGIN(INITIAL);
<text>.             /* Do nothing */
<escaped>\n\"    BEGIN(INITIAL);
<escaped>\n        /* Do nothing */
<escaped>.          BEGIN(text);
\'                BEGIN(comment);
<comment>\n        BEGIN(INITIAL);
<comment>.          /* Do nothing */
"/*"              BEGIN(multi);
<multi>[^*]*        /* Eat anything that's not a '*' */
<multi>"*"+[^*/]* /* Eat up '*'s not followed by '/' */
<multi>"*"+"/"  BEGIN(INITIAL);
{WS}                /* Skip whitespace */
.                   /* Skip anything else */
<<EOF>>             yyterminate();
%%
int main(int argc, char *argv[]) { printf("argument error malloc memcheck minmax str timer utf8 "); yylex(); return(0); } int yywrap(void) { return(1); }
